%define upstream_name Hal-Cdroms
%define upstream_version 0.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Access cdroms through HAL and D-Bus
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}
Requires:	perl(Net::DBus)
Requires:	udisks

Buildarch:	noarch

%description
Access cdroms through HAL and D-Bus

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files 
%doc Changes META.yml
%{perl_vendorlib}/Hal/Cdroms*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1028178
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 968908
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 856890
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.04-6.mga5
+ Revision: 744509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.04-5.mga5
+ Revision: 685019
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.04-4.mga4
+ Revision: 512204
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.04-3.mga3
+ Revision: 368336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 tv <tv> 0.04-2.mga2
+ Revision: 215454
- requires udisks (mga#4645)

* Sun Jan 29 2012 tv <tv> 0.04-1.mga2
+ Revision: 202802
- switch from HAL to udisks (mga#3458 & #3639)

* Fri Jan 21 2011 jquelin <jquelin> 0.03-5.mga1
+ Revision: 29441
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.03-4.mga1
+ Revision: 7385
- imported package perl-Hal-Cdroms


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.03-4mdv2010.1
+ Revision: 426511
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.03-3mdv2009.1
+ Revision: 351964
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2009.0
+ Revision: 223784
- rebuild

* Mon Mar 03 2008 Pixel <pixel@mandriva.com> 0.03-1mdv2008.1
+ Revision: 178078
- 0.03:
- ->mount and ->umount now work even the cdrom is listed in fstab,
  use ->mount_hal and ->umount_hal if you want the HAL restriction

* Fri Feb 29 2008 Pixel <pixel@mandriva.com> 0.02-1mdv2008.1
+ Revision: 176782
- 0.02:
- save error in $hal_cdroms->{error}
- ->mount: do not set the mount point, HAL handles it

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.01-1mdv2008.1
+ Revision: 176557
- fix BuildRequires and add BuildRoot
- initial release
- create perl-Hal-Cdroms

